class IgnoredAbortReasonsController < ApplicationController
  model_data_store(IgnoredAbortReason,
                   {create: false, read: true, update: false, delete: true, index: true},
                   {create: false, read: true, update: false, delete: true, index: true})

  def destroy
    Router.instance.synchronize_model(@model.job_process) do
      if @model.destroy
        render json: @model
      else
        render json: @model.errors, status: :unprocessable_entity
      end
    end
  end

  private
  def model_params
    params.require(:ignored_abort_reason).permit(:abort_reason, :job_process_id)
  end
end