class RequiredProcessesController < RxModule::ApplicationController
  before_action :block_index_all, only: [:index]

  model_data_store(RequiredProcess,
                   {create: false, read: false, update: false, delete: false, index: true},
                   {create: false, read: false, update: false, delete: false, index: false})

  def before_set_targets
    # required to know which side a process exists on
    @models.joins(:job)
  end
end