import * as React from 'react';
import { AbstractReactFactory } from '@projectstorm/react-canvas-core';
import { DiagramEngine } from '@projectstorm/react-diagrams-core';
import {ComponentNodeModel} from "./ComponentNodeModel";
import {ComponentNodeWidget} from "./ComponentNodeWidget";
import { AbstractModelFactory } from '@projectstorm/react-canvas-core';
import {RightAnglePortModel} from "./RightAnglePortModel";

export class RightAnglePortFactory extends AbstractModelFactory<RightAnglePortModel, DiagramEngine> {
	constructor() {
		super('rightAngle');
	}

	generateModel(): RightAnglePortModel {
		return new RightAnglePortModel({
			name: 'unknown'
		});
	}
}