import {attribute, DataStore, Model, model} from '@rx-suite/data';

@model({
    singleton: true,
    transportLayer: "/api/routing_graphs",
    permissionTarget: "RoutingGraph",
    routingInfo: {
        read: '/routingGraphs/:id/edit',
        update: '/routingGraphs/:id/edit'
    }
})

export class RoutingGraphModel extends Model {
    @attribute()
    serialized_data: any = {};

    constructor() {
        super();
        super.setup();
    }
}

export const RoutingGraphStore = RoutingGraphModel.store as DataStore<RoutingGraphModel>;