class DeviceRoutingCommand < ApplicationRecord
  belongs_to :device_type
  has_many :connector_commands
  has_many :opcua_connectors, :through => :connector_commands
  has_many :extra_requirements
  has_many :device_routing_command_devices, :dependent => :destroy
  has_many :opcua_devices, :through => :device_routing_command_devices
end
