class DeviceTimer < ApplicationRecord
  include IsRouterResource

  belongs_to :device_type, :optional => true
  belongs_to :opcua_device, :optional => true

  concerning :IsRouterResource do
    def as_router_data
      {
        variable: variable,
        value: time
      }
    end
  end
end