module OpcuaDeviceDefinitions
  module FlexLink
    class FlexLinkDevice < OpcuaDeviceDefinition
      class << self
        def instantiate_all
          H1::instantiate
          H4::instantiate
        end

        def dpin_constant
          12000
        end

        def type
          "flex_link"
        end
      end
    end
  end
end

