class RejectFilter < ApplicationRecord
  include IsRouterResource

  belongs_to :machine

  enum reject_key: [:processAborted]

  def as_router_data
    {
      key: reject_key,
      regex: comment_regex
    }
  end
end