class JobCleaner < RxModule::Routine
  class << self
    def frequency
      '2h'
    end
    
    def work
      Rails::logger.info "Job Cleanup [Started]"
      settings = Setting.instance
      Order.where("updated_at <= :stale_time", stale_time: Time.now - settings.job_stale_time.seconds).in_batches.destroy_all
      Rails::logger.info "Job Cleanup [Completed]"
    end
  end
end

