class AddRouteCacheEnabledToSettings < ActiveRecord::Migration[6.0]
  def up
    add_column :settings, :route_cache_enabled, :boolean, :default => false

    execute("update settings set route_cache_enabled='false'")
  end

  def down
    remove_column :settings, :route_cache_enabled
  end
end
