class AddDoNotRejectStartedToJobProcesses < ActiveRecord::Migration[6.0]
  def up
    add_column :job_processes, :do_not_reject_started, :boolean, :default => false

    JobProcess.update_all(do_not_reject_started: false)
  end

  def down
    remove_column :job_processes, :do_not_reject_started
  end
end
