class AddMaxAllowedDelayedJobsToSettings < ActiveRecord::Migration[6.0]
  def up
    add_column :settings, :max_allowed_delayed_jobs, :integer, default: 2000

    execute("update settings set max_allowed_delayed_jobs='2000'")
  end

  def down
    remove_column :settings, :max_allowed_delayed_jobs
  end
end
