class RemoveLensTrayOrientationFromSettings < ActiveRecord::Migration[6.0]
  def up
    remove_column :settings, :lens_tray_orientation
  end

  def down
    add_column :settings, :lens_tray_orientation, :integer, :default => 0
    execute("update settings set lens_tray_orientation = 0")
  end
end
