class AddPathLengthToConnectors < ActiveRecord::Migration[6.0]
  def up
    add_column :connectors, :path_length, :integer, :default => 1
    execute("update connectors set path_length=1")
  end

  def down
    remove_column :connectors, :path_length
  end
end
