class AddEnableReferenceProcessToSettings < ActiveRecord::Migration[6.0]
  def up
    add_column :settings, :reference_process_enabled, :boolean, :default => false

    execute("update settings set reference_process_enabled='false'")
  end

  def down
    remove_column :settings, :reference_process_enabled
  end
end
