setting = Setting.instance

Router.instance
RoutingGraph.instance
JobProcess.seed
Tag.seed

if setting.use_opcua?
  variant = setting.variant
  if variant == "ncc"
    OpcuaDeviceDefinitions::Ncc::NccDevice.instantiate_all
  elsif variant == "modular"
    OpcuaDeviceDefinitions::Modular::ModularDevice.instantiate_all
  elsif variant == "flex_link"
    OpcuaDeviceDefinitions::FlexLink::FlexLinkDevice.instantiate_all
  else
    raise Setting::InvalidOPCUAVariant
  end
end

Setting.register_push_targets

LmsConfig.migrate_legacy_connections
