namespace :migration do
  desc "Update old connector field online to state"
  task :update_connector_online_to_state => :environment do
    OpcuaConnector.transaction do
      OpcuaConnector.find_each do |connector|
        if connector[:state] == 'true'
          connector[:state] = 'online'
        else
          connector[:state] = 'offline'
        end
        connector.save
      end
    end
  end
end