class TagsController < RxModule::ApplicationController
  model_data_store(Tag)

  def update
    params = model_params
    if @model.update(params)
      render json: @model, status: :ok, location: @model
    else
      render json: {error: "Tag could not be updated"}, status: :unprocessable_entity
    end
  end

  def destroy
    tag = @model.tag
    if @model.destroy
      TagCondition.where("condition LIKE '%{\"var\":\"#{tag}\"}%'").destroy_all
      render json: @model, status: :ok, location: @model
    else
      render json: {error: "Tag could not be deleted"}, status: :unprocessable_entity
    end
  end

  def model_params
    params.fetch(:tag).permit( :tag, :value_type, :default_value)
  end
end

