import React, { useEffect } from 'react';
import { useHistory } from 'react-router-dom';

type RedirectToPathProps = {
    path: string;
};

export const RedirectToPath: React.FunctionComponent<RedirectToPathProps> = ({ path }) => {
    const history = useHistory();

    useEffect(() => {
        history.push(path);
    });

    return null;
};