import React from "react";
import {observer} from "mobx-react-lite";
import {Box} from "@material-ui/core";
import {OrderHistoryButton} from "./order_action_bar_buttons/history/OrderHistoryButton";
import {ChangeProcessesButton} from "./order_action_bar_buttons/change_processes/ChangeProcessesButton";
import {OrderRejectButton} from "./order_action_bar_buttons/reject/OrderRejectButton";
import {OrderScheduleButton} from "./order_action_bar_buttons/schedule/OrderScheduleButton";

export const OrderActionsBar: React.FunctionComponent = observer(({}) => {

    return <Box display={'flex'} flexDirection={'row'} justifyContent={'flex-start'}>
        <OrderRejectButton/>
        <OrderHistoryButton/>
        <ChangeProcessesButton/>
        <OrderScheduleButton/>
    </Box>;
});
