import * as React from 'react';

const IsSubmittingContext = React.createContext({} as {
    isSubmitting: boolean;
    setIsSubmitting: React.Dispatch<React.SetStateAction<boolean>>;
});

export const useIsSubmittingContext = () => React.useContext(IsSubmittingContext);
export const IsSubmittingProvider = IsSubmittingContext.Provider;
export const IsSubmittingConsumer = IsSubmittingContext.Consumer;