import {RouterServerStore} from "../stores/RouterServerStore";

export const useRouterOnline = (): boolean => {
   const router = RouterServerStore.selectedModel;

   if(!router){
       return false;
   }

   return router.running;
}
