class OrderStatusFetcher
  class << self
    def order_status(rx_data_id)
      Rails.cache.fetch([self, rx_data_id], expires_in: 5.minutes) do
        RxModule::Communicator.call_module_method('rx_data', "/api/orders/#{rx_data_id}/status", :get)
      end
    end
  end
end