module Synchronizable
  extend ActiveSupport::Concern
  class SynchronizeModelNotProvided < StandardError; end

  # {
  #   method: :put,
  #   endpoint: 'orders/update',
  #   data: {
  #      ... endpoint specific
  #   }
  # }
  def synchronize_payload
    raise NotImplementedError
  end
end
