class MachineStart < Machine
  class << self
    def new_from_params(params)
      component = Component.new(name: params[:name])
      machine = MachineStart.new(apply_process_change_on: 'auto_finish', forced_state: 'online')
      component.machine = machine

      machine.build_connectors

      start = JobProcess.where(name: 'start').first
      machine.job_process = start

      machine
    end
  end
end