module OpcuaDeviceDefinitions
  module Ncc
    class NccDevice < OpcuaDeviceDefinition
      class << self
        def instantiate_all
          H1::instantiate
          H3::instantiate
          H4::instantiate
          DG1::instantiate
          MG1::instantiate
          V1::instantiate
          V2::instantiate
        end

        def dpin_constant
          12000
        end

        def type
          "ncc"
        end
      end
    end
  end
end

