class OrderMachineSchedule < ApplicationRecord

  belongs_to :order
  belongs_to :machine

  def should_broadcast?
    false
  end

  concerning :IsRouterResource do
    def as_router_data
      {
        process: machine.job_process.name,
        machine: machine.name
      }
    end
  end

end