class DropFetchedJobTable < ActiveRecord::Migration[6.0]
  def up
    drop_table :fetched_jobs
  end

  def down
    # Note: since the fetched job table doesn't contains any data that is linked to other data, we are safe to recreate it on a rollback, even with the previous data lost.
    create_table :fetched_jobs do |t|
      t.string :job_number
      t.text :tags
      t.text :processes
    end
  end
end
