class SplitWorkerBroadcastTable < ActiveRecord::Migration[6.0]
  def change
    remove_column :worker_broadcasts, :target, :string

    rename_table :worker_broadcasts, :worker_front_end_broadcasts

    create_table :worker_router_broadcasts do |t|
      t.string :model_global_id
      t.string :action
      t.timestamps
    end
  end
end
