class AddJobCreateWorkstationEnabledToSettings < ActiveRecord::Migration[6.0]
  def up
    add_column :settings, :job_create_workstation_enabled, :boolean, :default => false

    execute("update settings set job_create_workstation_enabled='false'")
  end

  def down
    remove_column :settings, :job_create_workstation_enabled
  end
end
