class RenameJobRequestsToInfRequests < ActiveRecord::Migration[6.0]
  def up
    execute("DELETE FROM job_requests WHERE request_type=2")

    remove_column :job_requests, :request_type
    remove_column :job_requests, :target

    rename_table :job_requests, :inf_requests
  end

  def down
    add_column :inf_requests, :request_type, :integer
    add_column :inf_requests, :target, :integer

    rename_table :inf_requests, :job_requests

    execute("update job_requests set request_type=2, target=0")
  end
end
