class AddJobReworkEnableToSettings < ActiveRecord::Migration[6.0]
  def up
    add_column :settings, :job_rework_enabled, :boolean, default: false

    # Legacy labs have the job rework enabled by default
    execute("update settings set job_rework_enabled='true'")
  end

  def down
    remove_column :settings, :job_rework_enabled
  end
end
